### Method

# Adw InlineViewSwitcher set_display_mode

since: 1.7

#### Declaration [src]

    void
    adw_inline_view_switcher_set_display_mode (
      AdwInlineViewSwitcher* self,
      AdwInlineViewSwitcherDisplayMode mode
    )

#### Description [src]

Sets the display mode of `self`.

Determines what the toggles display: a label, an icon or both.

.

Available since: 1.7

Sets property | `Adw.InlineViewSwitcher:display-mode`

#### Parameters

`mode`

  Type: `AdwInlineViewSwitcherDisplayMode`

  The display mode.